> For the complete documentation index, see [llms.txt](https://developers.make.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.make.com/mcp-server/connect-using-mcp-token/usage-with-cursor.md).

# Usage with Cursor

This guide outlines how to connect Make MCP server to Cursor using an MCP token.&#x20;

### Prerequisites

* [Cursor](https://authenticator.cursor.sh/?client_id=client_01GS6W3C96KW4WRS6Z93JCE2RJ\&redirect_uri=https%3A%2F%2Fcursor.com%2Fapi%2Fauth%2Fcallback\&state=%257B%2522nonce%2522%253A%25225d33b59b-a953-4434-b559-879a9ab73a4e%2522%257D\&authorization_session_id=01M2FPB0XD76DHNBH84NKMAYJC) account (Desktop version)
* [MCP token](/mcp-server/connect-using-mcp-token.md)

### Connect to Cursor

To connect Make MCP server to Cursor:

1. Open your Cursor account.&#x20;
2. In the top right, click the gear icon to open the **Cursor Settings** dialog.&#x20;
3. In the left sidebar, click **Tools & Integrations** (or **Tools**, if you're on the Free Plan).
4. Under **MCP Tools**, click **Add Custom MCP** to open the editor for the `mcp.json` file.
5. In the editor, add the configuration.

Use the following URL:

```
https://<MAKE_ZONE>/mcp
```

Configuration example:

```json
{
  "mcpServers": {
    "make": {
      "url": "https://<MAKE_ZONE>/mcp",
      "headers": {
        "Authorization": "Bearer ${env:MCP_TOKEN}"
    }
  }
}
```

6. Replace `<MAKE_ZONE>` and `<MCP_TOKEN>` with actual values.

* `MAKE_ZONE` : The zone your organization is hosted in. For example, `eu2.make.com`.
* `MCP_TOKEN` : Your MCP token.&#x20;

You've now connected Make MCP server to Cursor.&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.make.com/mcp-server/connect-using-mcp-token/usage-with-cursor.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
